Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77847 - man in Red Hat 8.0 assumes groff 1.18, but doesn't require it
Summary: man in Red Hat 8.0 assumes groff 1.18, but doesn't require it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 12:22 UTC by Göran Uddeborg
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-07 20:15:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:133 normal SHIPPED_LIVE : Updated man packages fix minor vulnerability 2003-05-01 04:00:00 UTC
Red Hat Product Errata RHSA-2003:134 normal SHIPPED_LIVE Low: man security update 2003-04-28 04:00:00 UTC

Description Göran Uddeborg 2002-11-14 12:22:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The configuration file /etc/man.config which comes with man from RH 8 uses the
flag "-c" to nroff.  This flag was introduced in version 1.18 of groff, but
there is no "Requires" entry saying this version is needed.  (It does require
groff, but no particular version.)

Version-Release number of selected component (if applicable): 1.5j-11


How reproducible:
Always

Steps to Reproduce:
1.Install "man" from RH8 on an older system:
   uebn> rpm -q man groff
   man-1.5j-11
   groff-1.17.2-7.0.2
2.Try to look at a manpage
   uebn> man man
   /usr/bin/nroff: invalid option -c

Comment 1 Eido Inoue 2003-01-07 20:15:24 UTC
fixed in man-1.5j-15

Comment 2 Mark J. Cox 2003-04-28 12:45:55 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-134.html



Note You need to log in before you can comment on or make changes to this bug.